IntelliJ IDEA 13 Fehler: Bitte wählen Sie Android SDK

Ich habe Android SDK 22.3 und JDK 1.7 update 21 auf Win7 x64 installiert. Jetzt habe ich ein leeres Android-Anwendungsprojekt mit intelliJ 13.0.1 (auch Emulator als Zielgerät) erstellt und versucht, das Projekt zu bauen, aber begegnet dem 'Error: Please select Android SDK' .

Also wähle ich Emulator als Target Device , aber ich konnte meine AVD nicht auswählen, da es einen Error: Cannot find any configured Android SDK .

  • Java: Aufruf der äußeren Klassenmethode in anonymer innerer Klasse
  • Hinzufügen von Zuhörer vs set listener
  • Einheitsprüfung eines Rundfunkempfängers?
  • Holen Sie sich Kontext von Test-Projekt in Android Junit Test Fall
  • Mit ADT und SDK-Manager, fügen Sie Android-Quellcode zu Eclipse
  • Android: Orientierung ändern geändert
  • In der Projektstruktur zeigt es deutlich "Android 4.4.2 Plattform" als Projekt-SDK. Also bin ich total verwirrt, weiß nicht, wie man das Problem lösen kann.

    Ps Ich habe das intelliJ 12.1.2 auf intelliJ 13.0.1 und alle Einstellungen wurden bei der Einführung von 13.0.1 automatisch von 12.1.2 geerbt, aber es scheint nicht, dass alle Einstellungen exakt auf 13.0.1 kopiert wurden, was unerwartet ist.

    Prost

  • Zweck der Parameter XXMaxPermSize, vmargs, Xms und Xms in eclipse.ini, was tun sie
  • Warum ist die erste Ansicht in ViewPager leer?
  • Welcher Port und Protokoll verwendet Google Cloud Messaging (GCM)?
  • Android ExoPlayer onProgressChanged
  • Jquery Keyup funktioniert nicht auf Android
  • Wie gibt man / dev / bus / usb Berechtigungen für libusb Android Anwendungen?
  • 12 Solutions collect form web for “IntelliJ IDEA 13 Fehler: Bitte wählen Sie Android SDK”

    Ich habe diesen Fehler nach der Installation von Intellij IDEA Ultimate 14.1 und das Öffnen eines vorhandenen Android-Projekts, das ich mit Android Studio erstellt hatte, gefunden. Es stellt sich heraus, ich musste nur das Android SDK zu meiner Liste der SDKs hinzufügen und die Projekt- / Modul-SDK-Einstellungen beheben. So habe ich es gemacht:

    Gehe zu File -> Project Structure . Klicken Sie auf die Registerkarte Projekt unter Projekteinstellungen. Klicken Sie unter Projekt SDK auf New -> Android SDK .

    Hinzufügen eines neuen Android SDK

    Wählen Sie nun das vorhandene Verzeichnis für Ihr Android SDK aus. In meinem Fall war es in diesem Ordner:

    C:\Users\<windows username>\AppData\Local\Android\android-sdk

    OK klicken. Ein Menü öffnet sich, um das Java SDK + Build Ziel zu setzen. Sie können diese entweder ändern oder als Standardwerte verlassen und Ok treffen. Sie sollten jetzt "Android API XX Plattform" im Projekt-SDK-Dropdown-Menü sehen. Klicken Sie auf die Unterseite. Gehen Sie dann auf die Registerkarte Module unter Projekteinstellungen und klicken Sie auf die Ordner in der Modulliste.

    Modulliste

    Für jeden Ordner gehe auf die Registerkarte Abhängigkeiten und ändere das Modul SDK auf das neue Android SDK und klicke auf. Klicken Sie dann auf OK, um das Dialogfeld Projektstruktur zu schließen.

    Nachdem ich das oben getan habe, wurde mein Projekt behoben.

    Löschen Sie alle Android-SDKs von Intellij und fügen Sie sie erneut hinzu .

    Um dies zu tun, öffnen Sie die Projektstruktur, im SDK-Bereich, löschen Sie alle Android SDK, klicken Sie auf OK. Offene Projektstruktur und füge sie wieder hinzu.

    Mein Problem: "Bitte wählen Sie Android SDK", aber alles ist okey 🙁 -> Ich denke, eine IntelliJ-Datei wurde abgestürzt (nach dem blauen Bildschirm des Todes)

    Meine Entschließung:

    Datei -> Einstellungen -> Android SDK -> Android SDK Standort Bearbeiten -> Weiter, Weiter (Android SDK ist aktuell), Fertig

    … und abgestürzte Akte wurde repariert!

    Ich hoffe das wird helfen!

    Ich habe das Problem in IntelliJ Idea 14 tatsächlich konfrontiert. Mein Projekt funktionierte gut auf Android Studio. Ich beschloss, die Entwicklung auf IntelliJ-Idee fortzusetzen. Nach dem Import des Projekts war ich nicht erfolgreich, um es zu starten, und ich bekam ähnliche Fehlermeldung im Feld Edit Configuration. Basierend auf dem, was @Ali sagte, löschte ich alle meine SDKs und installierte sie wieder, aber funktionierte nicht.

    Ich habe "Projektstruktur"> "Plattformeinstellungen"> SDKs geöffnet. Ich fand "Build target" von "Android API 21 Platform" ist nicht gesetzt. Setzen Sie es auf eines meiner neuesten SDK das Problem behoben und ich konnte Projekt ohne Problem laufen.

    1. Gehen Sie zu Projektstruktur (Strg + Alt + Shift + S) -> Platforn Einstellungen -> SDKs -> drücken Sie "Plus" -Symbol
    2. Wählen Sie "Android SDK" und geben Sie den SDKs Pfad ein (für Exanple: C: \ Program Files (x86) \ Android \ android-sdk)
    3. Übernehmen oder OK
    4. Sei glücklich

    Überprüfen Sie, ob Sie alle benötigten Add-Ons installiert haben. Auch ich empfehle Ihnen, ein echtes Android-Handy zum Debuggen zu verwenden. Es ist besser, es ist echt und schneller.

    Ich hatte das gleiche Problem wie du, als ich auch von Intellij Idea 12 bis 13 aktualisiert habe. In meiner Situation wurde mein Android SDK's Build Ziel nicht richtig erkannt, es sagte etwas wie "Not Set" in Rot statt Android 2.2. Obwohl ich mich für Android 2.2 entschieden habe und mich angeklickt habe, zeigte es die "Not Set" -Meldung erneut, als ich den Projektstruktur-Dialog wiedereröffnete.

    Dann wählte ich eine andere Version, Android 4.0 dieses Mal, klickte gelten, dann wählte Android 2.2 wieder, klickte gelten. Das hat für mich gearbeitet

    Scheint viel wie IDEA kann das Android SDK nicht finden.

    Haben Sie den Computer nach der Verwendung des Android SDK Installers neu gestartet?

    Danach hast du den SDK Manager gestartet, um das Android 4.2.2 SDK zu installieren?

    Kannst du die Umgebungsvariable Android_SDK_HOME überprüfen?

    Berücksichtigen Sie, dass der Android SDK Installer nur einen Manager installiert. Danach müssen Sie ein SDK (oder mehrere) installieren.

    Auch wenn Sie 'Android 4.4.2 Plattform' in der Projektstruktur sehen, bedeutet das, dass das Projekt für dieses SDK fragen wird. Es bedeutet nicht, dass das SDK installiert wurde.

    Ich hatte ein ähnliches Problem. Ich musste das gleiche Android-Sdk hinzufügen, das ich schon früher benutzt habe und es funktionierte.

    Vielleicht nicht so gemeinsame Lösung aber für mich Neustart der IDE funktionierte ganz gut. Ich benutze Android Studio 2.2.3 .

    Überprüfen Sie die nächsten Zeilen in der App build.gradle-Datei.

     android { compileSdkVersion 25 <--- Set exist in local machine sdk version. buildToolsVersion '25.0.3' <--- Set exist build tools version. } 

    Es gibt einen Knopf nach Namen android Monitor auf der linken Unterseite des Bildschirms. Wenn Sie ein Problem mit sdk haben, wird es zeigen, Sie confugure link.Change den Pfad zu Ihrem Sdk-Ordner. Die Dinge werden funktionieren

    Das Android ist ein Google Android Fan-Website, Alles über Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.